Home

# Class goog.net.XhrIoPool

A pool of XhrIo objects.

extends goog.structs.PriorityPool

Instance Method Summary
| `createObject() ⇒ ?goog.net.XhrIo` Creates an instance of an XhrIo object to use in the pool.
| `disposeObject(?goog.net.XhrIo obj)` Should be overridden to dispose of an object, default implementation is to remove all its members which should render it useless.
| `objectCanBeReused(?goog.net.XhrIo obj) ⇒ boolean` Determine if an object has become unusable and should not be used.